Issue a new public ingest key (admin only)
Clients using the old key stop ingesting immediately.
Authorization
bearerAuth AuthorizationBearer <token>
Session token issued by the accounts service (or the legacy /v1/auth routes).
In: header
Path Parameters
project_uuid*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/key/rotate"{ "project": { "created_at": "2026-09-13T12:30:45Z", "data_residency": "US", "key": "8a0b6c1d2e3f4a5b6c7d8e9f0a1b2c3d", "name": "Mobile app", "organization_uuid": "0b7e2b1a-0a1b-4c2d-8e3f-4a5b6c7d8e9f", "selected": true, "status_uuid": "9d3f1e2c-5a6b-4c7d-8e9f-0a1b2c3d4e5f", "updated_at": "2026-09-13T12:30:45Z", "uuid": "5f1c2e7a-1c2d-4b3e-9f10-1a2b3c4d5e6f" }}